Bug 850931 - [abrt] anjuta-3.2.0-1.fc16: anjuta-python-autocomplete.py:4:<module>:ImportError: No module named rope.base.project
[abrt] anjuta-3.2.0-1.fc16: anjuta-python-autocomplete.py:4:<module>:ImportEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:41fec1030f89c0717f7d91f4f58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 15:16 EDT by Denis Bassom
Modified: 2013-04-30 18:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:55:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Bassom 2012-08-22 15:16:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/lib/anjuta/anjuta-python-autocomplete.py -o autocomplete -p /home/denis/python/test -r /home/denis/python/test/src/test.py -s /tmp/.4ORBJW -f 711 -b |/home/denis/python/test/src/test.py|/home/denis/python/test/src/test.py|/home/denis/python/test/README|/home/denis/python/test/COPYING|/home/denis/python/test/AUTHORS|/home/denis/python/test/ChangeLog|/home/denis/python/test/INSTALL|/home/denis/python/test/NEWS
executable:     /usr/lib/anjuta/anjuta-python-autocomplete.py
kernel:         3.4.9-1.fc16.i686
time:           Wed 22 Aug 2012 20:11:21 BST
uid:            500
username:       denis

backtrace:
:anjuta-python-autocomplete.py:4:<module>:ImportError: No module named rope.base.project
:
:Traceback (most recent call last):
:  File "/usr/lib/anjuta/anjuta-python-autocomplete.py", line 4, in <module>
:    from rope.base.project import Project
:ImportError: No module named rope.base.project
:
:Local variables in innermost frame:
:namedtuple: <function namedtuple at 0xb752710c>
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/lib/anjuta/anjuta-python-autocomplete.py'
:__package__: None
:sys: <module 'sys' (built-in)>
:getopt: <module 'getopt' from '/usr/lib/python2.7/getopt.pyc'>
:__name__: '__main__'
:__doc__: None

smolt_data:
:
:
:General
:=================================
:UUID: 83c102f9-59f1-4338-9075-95be18d7bd4c
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_GB.utf8
:Platform: i686
:BogoMIPS: 2394.16
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     U9300  @ 1.20GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 1201
:System Memory: 2964
:System Swap: 4991
:Vendor: Sony Corporation
:System: VGN-TT21M_N J003U6NU
:Form factor: Notebook
:Kernel: 3.4.9-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9288:4173:36935) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10816:4173:36935) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4173:36935) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4173:36935) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:4173:36935) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4173:36935) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:16946:32902:4865) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10566:4173:36935) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4173:36935) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4173:36935) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4173:36935) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4173:36935) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4173:36935) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4173:36935) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4173:36935) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4173:36935) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4480:1142:4173:36935) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:4173:36935) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4173:36935) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1426:4173:36935) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_sonyfedora-lv_root / ext4 4096 4096 8119780 2488339 2405877 2064384 1845079 1845079
:/dev/sda3 /boot ext4 1024 1024 495844 412342 386742 128016 127766 127766
:
Comment 1 Fedora End Of Life 2013-01-16 07:34:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:55:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.